Changeset 1226 for ThirdParty/Glpk


Ignore:
Timestamp:
Dec 29, 2008 12:22:24 PM (11 years ago)
Author:
stefan
Message:

update to glpk 4.34

Location:
ThirdParty/Glpk/trunk
Files:
7 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/INSTALL.Glpk

    r1212 r1226  
    1414You may download
    1515
    16 ftp://ftp.gnu.org/gnu/glpk/glpk-4.32.tar.gz
     16ftp://ftp.gnu.org/gnu/glpk/glpk-4.34.tar.gz
    1717
    1818and unpack it in this directory:
    1919
    20 gunzip glpk-4.32.tar.gz
    21 tar xf glpk-4.32.tar
     20gunzip glpk-4.34.tar.gz
     21tar xf glpk-4.34.tar
    2222
    2323Then you need to rename the directory
    24   glpk-4.32
     24  glpk-4.34
    2525into
    2626  glpk
  • ThirdParty/Glpk/trunk/Makefile.am

    r1212 r1226  
    3333$(GLPKDIR)/src/glpapi14.c \
    3434$(GLPKDIR)/src/glpapi15.c \
     35$(GLPKDIR)/src/glpapi16.c \
     36$(GLPKDIR)/src/glpapi17.c \
    3537$(GLPKDIR)/src/glpavl.c \
    3638$(GLPKDIR)/src/glpbfd.c \
    3739$(GLPKDIR)/src/glpbfx.c \
    38 $(GLPKDIR)/src/glpcli.c \
    3940$(GLPKDIR)/src/glpcpx.c \
    4041$(GLPKDIR)/src/glpdmp.c \
     
    5253$(GLPKDIR)/src/glpios07.c \
    5354$(GLPKDIR)/src/glpios08.c \
     55$(GLPKDIR)/src/glpios09.c \
    5456$(GLPKDIR)/src/glpipm.c \
    5557$(GLPKDIR)/src/glpipp01.c \
     
    7981$(GLPKDIR)/src/glplpx08.c \
    8082$(GLPKDIR)/src/glplpx09.c \
    81 $(GLPKDIR)/src/glplpx10.c \
    82 $(GLPKDIR)/src/glplpx11.c \
    83 $(GLPKDIR)/src/glplpx12.c \
    84 $(GLPKDIR)/src/glplpx13.c \
    85 $(GLPKDIR)/src/glplpx14.c \
    8683$(GLPKDIR)/src/glpluf.c \
    8784$(GLPKDIR)/src/glplux.c \
     
    9289$(GLPKDIR)/src/glpmpl04.c \
    9390$(GLPKDIR)/src/glpmpl05.c \
     91$(GLPKDIR)/src/glpmpl06.c \
    9492$(GLPKDIR)/src/glpmps01.c \
    9593$(GLPKDIR)/src/glpmps02.c \
  • ThirdParty/Glpk/trunk/Makefile.in

    r1212 r1226  
    7575        glpapi04.lo glpapi05.lo glpapi06.lo glpapi07.lo glpapi08.lo \
    7676        glpapi09.lo glpapi10.lo glpapi11.lo glpapi12.lo glpapi13.lo \
    77         glpapi14.lo glpapi15.lo glpavl.lo glpbfd.lo glpbfx.lo \
    78         glpcli.lo glpcpx.lo glpdmp.lo glpfhv.lo glpgmp.lo glphbm.lo \
    79         glpini01.lo glpini02.lo glpios01.lo glpios02.lo glpios03.lo \
    80         glpios04.lo glpios05.lo glpios06.lo glpios07.lo glpios08.lo \
    81         glpipm.lo glpipp01.lo glpipp02.lo glplib01.lo glplib02.lo \
    82         glplib03.lo glplib04.lo glplib05.lo glplib06.lo glplib07.lo \
    83         glplib08.lo glplib09.lo glplib10.lo glplib11.lo glplib12.lo \
    84         glplpf.lo glplpp01.lo glplpp02.lo glplpx01.lo glplpx02.lo \
    85         glplpx03.lo glplpx04.lo glplpx05.lo glplpx06.lo glplpx07.lo \
    86         glplpx08.lo glplpx09.lo glplpx10.lo glplpx11.lo glplpx12.lo \
    87         glplpx13.lo glplpx14.lo glpluf.lo glplux.lo glpmat.lo \
    88         glpmpl01.lo glpmpl02.lo glpmpl03.lo glpmpl04.lo glpmpl05.lo \
    89         glpmps01.lo glpmps02.lo glppds.lo glpqmd.lo glprgr.lo \
    90         glprng01.lo glprng02.lo glpscf.lo glpscg.lo glpscl.lo \
    91         glpspm.lo glpspx01.lo glpspx02.lo glpsql.lo glpssx01.lo \
    92         glpssx02.lo
     77        glpapi14.lo glpapi15.lo glpapi16.lo glpapi17.lo glpavl.lo \
     78        glpbfd.lo glpbfx.lo glpcpx.lo glpdmp.lo glpfhv.lo glpgmp.lo \
     79        glphbm.lo glpini01.lo glpini02.lo glpios01.lo glpios02.lo \
     80        glpios03.lo glpios04.lo glpios05.lo glpios06.lo glpios07.lo \
     81        glpios08.lo glpios09.lo glpipm.lo glpipp01.lo glpipp02.lo \
     82        glplib01.lo glplib02.lo glplib03.lo glplib04.lo glplib05.lo \
     83        glplib06.lo glplib07.lo glplib08.lo glplib09.lo glplib10.lo \
     84        glplib11.lo glplib12.lo glplpf.lo glplpp01.lo glplpp02.lo \
     85        glplpx01.lo glplpx02.lo glplpx03.lo glplpx04.lo glplpx05.lo \
     86        glplpx06.lo glplpx07.lo glplpx08.lo glplpx09.lo glpluf.lo \
     87        glplux.lo glpmat.lo glpmpl01.lo glpmpl02.lo glpmpl03.lo \
     88        glpmpl04.lo glpmpl05.lo glpmpl06.lo glpmps01.lo glpmps02.lo \
     89        glppds.lo glpqmd.lo glprgr.lo glprng01.lo glprng02.lo \
     90        glpscf.lo glpscg.lo glpscl.lo glpspm.lo glpspx01.lo \
     91        glpspx02.lo glpsql.lo glpssx01.lo glpssx02.lo
    9392libcoinglpk_la_OBJECTS = $(nodist_libcoinglpk_la_OBJECTS)
    9493@COIN_BUILD_GLPK_TRUE@am_libcoinglpk_la_rpath =
     
    273272$(GLPKDIR)/src/glpapi14.c \
    274273$(GLPKDIR)/src/glpapi15.c \
     274$(GLPKDIR)/src/glpapi16.c \
     275$(GLPKDIR)/src/glpapi17.c \
    275276$(GLPKDIR)/src/glpavl.c \
    276277$(GLPKDIR)/src/glpbfd.c \
    277278$(GLPKDIR)/src/glpbfx.c \
    278 $(GLPKDIR)/src/glpcli.c \
    279279$(GLPKDIR)/src/glpcpx.c \
    280280$(GLPKDIR)/src/glpdmp.c \
     
    292292$(GLPKDIR)/src/glpios07.c \
    293293$(GLPKDIR)/src/glpios08.c \
     294$(GLPKDIR)/src/glpios09.c \
    294295$(GLPKDIR)/src/glpipm.c \
    295296$(GLPKDIR)/src/glpipp01.c \
     
    319320$(GLPKDIR)/src/glplpx08.c \
    320321$(GLPKDIR)/src/glplpx09.c \
    321 $(GLPKDIR)/src/glplpx10.c \
    322 $(GLPKDIR)/src/glplpx11.c \
    323 $(GLPKDIR)/src/glplpx12.c \
    324 $(GLPKDIR)/src/glplpx13.c \
    325 $(GLPKDIR)/src/glplpx14.c \
    326322$(GLPKDIR)/src/glpluf.c \
    327323$(GLPKDIR)/src/glplux.c \
     
    332328$(GLPKDIR)/src/glpmpl04.c \
    333329$(GLPKDIR)/src/glpmpl05.c \
     330$(GLPKDIR)/src/glpmpl06.c \
    334331$(GLPKDIR)/src/glpmps01.c \
    335332$(GLPKDIR)/src/glpmps02.c \
     
    431428@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi14.Plo@am__quote@
    432429@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi15.Plo@am__quote@
     430@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi16.Plo@am__quote@
     431@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi17.Plo@am__quote@
    433432@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpavl.Plo@am__quote@
    434433@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpbfd.Plo@am__quote@
    435434@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpbfx.Plo@am__quote@
    436 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpcli.Plo@am__quote@
    437435@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpcpx.Plo@am__quote@
    438436@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpdmp.Plo@am__quote@
     
    450448@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpios07.Plo@am__quote@
    451449@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpios08.Plo@am__quote@
     450@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpios09.Plo@am__quote@
    452451@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpipm.Plo@am__quote@
    453452@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpipp01.Plo@am__quote@
     
    477476@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx08.Plo@am__quote@
    478477@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx09.Plo@am__quote@
    479 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx10.Plo@am__quote@
    480 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx11.Plo@am__quote@
    481 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx12.Plo@am__quote@
    482 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx13.Plo@am__quote@
    483 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx14.Plo@am__quote@
    484478@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpluf.Plo@am__quote@
    485479@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplux.Plo@am__quote@
     
    490484@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpmpl04.Plo@am__quote@
    491485@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpmpl05.Plo@am__quote@
     486@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpmpl06.Plo@am__quote@
    492487@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpmps01.Plo@am__quote@
    493488@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpmps02.Plo@am__quote@
     
    633628@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi15.lo `test -f '$(GLPKDIR)/src/glpapi15.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi15.c
    634629
     630glpapi16.lo: $(GLPKDIR)/src/glpapi16.c
     631@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpapi16.lo -MD -MP -MF "$(DEPDIR)/glpapi16.Tpo" -c -o glpapi16.lo `test -f '$(GLPKDIR)/src/glpapi16.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi16.c; \
     632@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpapi16.Tpo" "$(DEPDIR)/glpapi16.Plo"; else rm -f "$(DEPDIR)/glpapi16.Tpo"; exit 1; fi
     633@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpapi16.c' object='glpapi16.lo' libtool=yes @AMDEPBACKSLASH@
     634@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     635@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi16.lo `test -f '$(GLPKDIR)/src/glpapi16.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi16.c
     636
     637glpapi17.lo: $(GLPKDIR)/src/glpapi17.c
     638@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpapi17.lo -MD -MP -MF "$(DEPDIR)/glpapi17.Tpo" -c -o glpapi17.lo `test -f '$(GLPKDIR)/src/glpapi17.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi17.c; \
     639@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpapi17.Tpo" "$(DEPDIR)/glpapi17.Plo"; else rm -f "$(DEPDIR)/glpapi17.Tpo"; exit 1; fi
     640@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpapi17.c' object='glpapi17.lo' libtool=yes @AMDEPBACKSLASH@
     641@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     642@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi17.lo `test -f '$(GLPKDIR)/src/glpapi17.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi17.c
     643
    635644glpavl.lo: $(GLPKDIR)/src/glpavl.c
    636645@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpavl.lo -MD -MP -MF "$(DEPDIR)/glpavl.Tpo" -c -o glpavl.lo `test -f '$(GLPKDIR)/src/glpavl.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpavl.c; \
     
    654663@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpbfx.lo `test -f '$(GLPKDIR)/src/glpbfx.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpbfx.c
    655664
    656 glpcli.lo: $(GLPKDIR)/src/glpcli.c
    657 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpcli.lo -MD -MP -MF "$(DEPDIR)/glpcli.Tpo" -c -o glpcli.lo `test -f '$(GLPKDIR)/src/glpcli.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpcli.c; \
    658 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpcli.Tpo" "$(DEPDIR)/glpcli.Plo"; else rm -f "$(DEPDIR)/glpcli.Tpo"; exit 1; fi
    659 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpcli.c' object='glpcli.lo' libtool=yes @AMDEPBACKSLASH@
    660 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    661 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpcli.lo `test -f '$(GLPKDIR)/src/glpcli.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpcli.c
    662 
    663665glpcpx.lo: $(GLPKDIR)/src/glpcpx.c
    664666@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpcpx.lo -MD -MP -MF "$(DEPDIR)/glpcpx.Tpo" -c -o glpcpx.lo `test -f '$(GLPKDIR)/src/glpcpx.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpcpx.c; \
     
    766768@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpios08.lo `test -f '$(GLPKDIR)/src/glpios08.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpios08.c
    767769
     770glpios09.lo: $(GLPKDIR)/src/glpios09.c
     771@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpios09.lo -MD -MP -MF "$(DEPDIR)/glpios09.Tpo" -c -o glpios09.lo `test -f '$(GLPKDIR)/src/glpios09.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpios09.c; \
     772@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpios09.Tpo" "$(DEPDIR)/glpios09.Plo"; else rm -f "$(DEPDIR)/glpios09.Tpo"; exit 1; fi
     773@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpios09.c' object='glpios09.lo' libtool=yes @AMDEPBACKSLASH@
     774@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     775@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpios09.lo `test -f '$(GLPKDIR)/src/glpios09.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpios09.c
     776
    768777glpipm.lo: $(GLPKDIR)/src/glpipm.c
    769778@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpipm.lo -MD -MP -MF "$(DEPDIR)/glpipm.Tpo" -c -o glpipm.lo `test -f '$(GLPKDIR)/src/glpipm.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpipm.c; \
     
    955964@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplpx09.lo `test -f '$(GLPKDIR)/src/glplpx09.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx09.c
    956965
    957 glplpx10.lo: $(GLPKDIR)/src/glplpx10.c
    958 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplpx10.lo -MD -MP -MF "$(DEPDIR)/glplpx10.Tpo" -c -o glplpx10.lo `test -f '$(GLPKDIR)/src/glplpx10.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx10.c; \
    959 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplpx10.Tpo" "$(DEPDIR)/glplpx10.Plo"; else rm -f "$(DEPDIR)/glplpx10.Tpo"; exit 1; fi
    960 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplpx10.c' object='glplpx10.lo' libtool=yes @AMDEPBACKSLASH@
    961 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    962 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplpx10.lo `test -f '$(GLPKDIR)/src/glplpx10.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx10.c
    963 
    964 glplpx11.lo: $(GLPKDIR)/src/glplpx11.c
    965 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplpx11.lo -MD -MP -MF "$(DEPDIR)/glplpx11.Tpo" -c -o glplpx11.lo `test -f '$(GLPKDIR)/src/glplpx11.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx11.c; \
    966 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplpx11.Tpo" "$(DEPDIR)/glplpx11.Plo"; else rm -f "$(DEPDIR)/glplpx11.Tpo"; exit 1; fi
    967 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplpx11.c' object='glplpx11.lo' libtool=yes @AMDEPBACKSLASH@
    968 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    969 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplpx11.lo `test -f '$(GLPKDIR)/src/glplpx11.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx11.c
    970 
    971 glplpx12.lo: $(GLPKDIR)/src/glplpx12.c
    972 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplpx12.lo -MD -MP -MF "$(DEPDIR)/glplpx12.Tpo" -c -o glplpx12.lo `test -f '$(GLPKDIR)/src/glplpx12.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx12.c; \
    973 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplpx12.Tpo" "$(DEPDIR)/glplpx12.Plo"; else rm -f "$(DEPDIR)/glplpx12.Tpo"; exit 1; fi
    974 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplpx12.c' object='glplpx12.lo' libtool=yes @AMDEPBACKSLASH@
    975 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    976 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplpx12.lo `test -f '$(GLPKDIR)/src/glplpx12.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx12.c
    977 
    978 glplpx13.lo: $(GLPKDIR)/src/glplpx13.c
    979 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplpx13.lo -MD -MP -MF "$(DEPDIR)/glplpx13.Tpo" -c -o glplpx13.lo `test -f '$(GLPKDIR)/src/glplpx13.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx13.c; \
    980 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplpx13.Tpo" "$(DEPDIR)/glplpx13.Plo"; else rm -f "$(DEPDIR)/glplpx13.Tpo"; exit 1; fi
    981 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplpx13.c' object='glplpx13.lo' libtool=yes @AMDEPBACKSLASH@
    982 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    983 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplpx13.lo `test -f '$(GLPKDIR)/src/glplpx13.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx13.c
    984 
    985 glplpx14.lo: $(GLPKDIR)/src/glplpx14.c
    986 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplpx14.lo -MD -MP -MF "$(DEPDIR)/glplpx14.Tpo" -c -o glplpx14.lo `test -f '$(GLPKDIR)/src/glplpx14.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx14.c; \
    987 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplpx14.Tpo" "$(DEPDIR)/glplpx14.Plo"; else rm -f "$(DEPDIR)/glplpx14.Tpo"; exit 1; fi
    988 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplpx14.c' object='glplpx14.lo' libtool=yes @AMDEPBACKSLASH@
    989 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    990 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplpx14.lo `test -f '$(GLPKDIR)/src/glplpx14.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx14.c
    991 
    992966glpluf.lo: $(GLPKDIR)/src/glpluf.c
    993967@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpluf.lo -MD -MP -MF "$(DEPDIR)/glpluf.Tpo" -c -o glpluf.lo `test -f '$(GLPKDIR)/src/glpluf.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpluf.c; \
     
    10451019@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    10461020@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpmpl05.lo `test -f '$(GLPKDIR)/src/glpmpl05.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpmpl05.c
     1021
     1022glpmpl06.lo: $(GLPKDIR)/src/glpmpl06.c
     1023@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpmpl06.lo -MD -MP -MF "$(DEPDIR)/glpmpl06.Tpo" -c -o glpmpl06.lo `test -f '$(GLPKDIR)/src/glpmpl06.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpmpl06.c; \
     1024@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpmpl06.Tpo" "$(DEPDIR)/glpmpl06.Plo"; else rm -f "$(DEPDIR)/glpmpl06.Tpo"; exit 1; fi
     1025@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpmpl06.c' object='glpmpl06.lo' libtool=yes @AMDEPBACKSLASH@
     1026@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1027@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpmpl06.lo `test -f '$(GLPKDIR)/src/glpmpl06.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpmpl06.c
    10471028
    10481029glpmps01.lo: $(GLPKDIR)/src/glpmps01.c
  • ThirdParty/Glpk/trunk/configure

    r1213 r1226  
    2008520085  echo "$as_me:$LINENO: result: ${majorver}.${minorver}" >&5
    2008620086echo "${ECHO_T}${majorver}.${minorver}" >&6
    20087   if test $majorver != 4 || test $minorver != 32 ; then
    20088     { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.32. Please update by rerunning get.GLPK\"" >&5
    20089 echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.32. Please update by rerunning get.GLPK\"" >&2;}
     20087  if test $majorver != 4 || test $minorver != 34 ; then
     20088    { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.34. Please update by rerunning get.GLPK\"" >&5
     20089echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.34. Please update by rerunning get.GLPK\"" >&2;}
    2009020090   { (exit 1); exit 1; }; }
    2009120091  fi
  • ThirdParty/Glpk/trunk/configure.ac

    r1213 r1226  
    7979  minorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' ${GLPKINCDIR}/glpk.h`
    8080  AC_MSG_RESULT([${majorver}.${minorver}])
    81   if test $majorver != 4 || test $minorver != 32 ; then
    82     AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.32. Please update by rerunning get.GLPK"])
     81  if test $majorver != 4 || test $minorver != 34 ; then
     82    AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.34. Please update by rerunning get.GLPK"])
    8383  fi
    8484else
  • ThirdParty/Glpk/trunk/get.Glpk

    r1212 r1226  
    22
    33set -e
    4 glpk_ver=4.32
     4glpk_ver=4.34
    55
    66wgetcmd=wget
  • ThirdParty/Glpk/trunk/glpk.patch

    r1212 r1226  
    22--- glpk/src/glplpx01.c.orig    2008-09-05 19:44:36.000000000 +0200
    33+++ glpk/src/glplpx01.c 2008-09-05 19:42:45.000000000 +0200
    4 @@ -377,7 +377,7 @@
     4@@ -382,7 +382,7 @@
    55       ret = glp_simplex(lp, &parm);
    66       switch (ret)
Note: See TracChangeset for help on using the changeset viewer.